import request from '@/utils/request'

// 查询产线实例列表
export function listProLine(query) {
	return request({
		url: '/basic/proLine/list',
		method: 'get',
		params: query
	})
}

// 查询产线实例详细
export function getProLine(id) {
	return request({
		url: '/basic/proLine/' + id,
		method: 'get'
	})
}

// 新增产线实例
export function addProLine(data) {
	return request({
		url: '/basic/proLine',
		method: 'post',
		data: data
	})
}

// 修改产线实例
export function updateProLine(data) {
	return request({
		url: '/basic/proLine',
		method: 'put',
		data: data
	})
}

// 删除产线实例
export function delProLine(id) {
	return request({
		url: '/basic/proLine/' + id,
		method: 'delete'
	})
}

export function printMerges(ids) {
	return request({
		url: '/basic/proLine/mergePrintPdfs',
		method: 'post',
		data: ids
	})
}